Update existing vocabulary entries
curl --request PUT \
--url https://api.callers.ai/campaigns/{campaignId}/vocabulary \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"vocabulary": [
{
"content": "<string>",
"sounds_like": [
"<string>"
]
}
]
}
'import requests
url = "https://api.callers.ai/campaigns/{campaignId}/vocabulary"
payload = { "vocabulary": [
{
"content": "<string>",
"sounds_like": ["<string>"]
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vocabulary: [{content: '<string>', sounds_like: ['<string>']}]})
};
fetch('https://api.callers.ai/campaigns/{campaignId}/vocabulary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"updatedCount": 123
}{
"status": "error",
"message": "<string>",
"data": [
{}
]
}{
"status": "error",
"message": "<string>"
}Campaigns
Update existing vocabulary entries
Updates STT vocabulary entries that already exist on the campaign. Entries whose content does not match any existing entry are ignored.
PUT
/
campaigns
/
{campaignId}
/
vocabulary
Update existing vocabulary entries
Authorizations
Headers
Optional sub organization ID. Must belong to your main organization API key.
Path Parameters
ID of the campaign
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
⌘I